/*
 Theme Name:   Theme Apps
 Theme URI:    https://tsidigitalsolution.com/theme-apps
 Description:  A child theme for Parent Theme hello-elementor
 Author:       TSI Digital Solution
 Author URI:   https://tsidigitalsolution.com
 Template:     hello-elementor
 Version:      1.0.0
*/

/* Add your custom CSS below */
/***********************************************************************************FONT POPPINS****************************************************************************************************/

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');

/***********************************************************************************Sizing Video Header Homepage************************************************************************************/

/*Apply the object-fit: cover; property, which ensures the video covers the background area properly*/
.elementor-background-video-hosted {
    width: 100%;
    height: 100%;
    object-fit: cover; /* Makes sure the video covers the background properly */
}

/************************************************************************************Link URL********************************************************************************************************/

/* Default link color */
a {
    color: #45a6a7; 
    text-decoration: none; 
}

a:hover {
    color: #66FCF1;  
}

/************************************************************************************Link URL********************************************************************************************************/

/* Default colors */
    /* Updated Root Variables */
    :root {
      --primary: #66FCF1 !important;
      --secondary: #354B43 !important;
      --primary-transparent: #66FCF150 !important;
      --dark: #000000 !important;
      --light: #FFFFFF !important;
    }
    
/************************************************************************************CSS H1**********************************************************************************************************/

/* Default H1 */
.shine {
  font-family: "Poppins";
  font-size: 3.8em;
  font-weight: 700;
  color: rgba(255, 255, 255, 0.5);
  background: rgba(102, 252, 241, 0.9) -webkit-gradient(
      linear,
      left top,
      right top,
      from(#000),
      to(#000),
      color-stop(0.5, #66FCF1)
    ) 0 0 no-repeat;
  background-image: -webkit-linear-gradient(
    -40deg,
    transparent 0%,
    transparent 40%,
    #fff 50%,
    transparent 60%,
    transparent 100%
  );
  -webkit-background-clip: text;
  -webkit-background-size: 220px;
  -webkit-animation: zezzz;
  -webkit-animation-duration: 3s;
  -webkit-animation-iteration-count: infinite;

  /* Centering */
  display: flex; /* Enables flexbox */
  justify-content: center; /* Centers horizontally */
  align-items: center; /* Centers vertically */
  text-align: center; /* Aligns the text itself */
  height: 100%; /* Ensure the container has height */
}

@-webkit-keyframes zezzz {
  0%,
  10% {
    background-position: -500px;
  }
  50% {
    background-position: top left;
  }
  100% {
    background-position: 500px;
  }
}

@media (max-width: 1024px) {
 .shine {
  font-size: 3em;
  }
}

@media (max-width: 767px) {
  .shine {
  font-size: 2.6em;
  }
}

/************************************************************************************CSS H2**********************************************************************************************************/

/* Default H1 */

.h2 {
  text-shadow: #1a1919 1px 1px 0;
  line-height: 1.6;
  margin-bottom: 0.5rem;
  font-family: "Poppins", sans-serif;
  letter-spacing: 0.5px;
  font-size: 2.2em;
  color: #000;
  font-weight: 200;
  text-align: center;
}

.h2::first-letter {
  font-family: "Poppins", sans-serif;
  font-size: 1.8em; /* First letter size */
  font-weight: 300;
  display: inline-block; /* Ensures the first letter is treated like a block element */
  margin-right: 0em; /* Space between the first letter and the rest of the text */
  line-height: 1.2; /* Adjusted line height to align better with the rest of the text */
  vertical-align: baseline; /* Aligns it with the baseline */
  color: #000;
  text-shadow: 
    1px -1px 0 #767676, 
    -1px 2px 1px #737272, 
    -2px 4px 1px #767474, 
    -3px 6px 1px #787777, 
    -4px 8px 1px #7b7a7a, 
    -5px 10px 1px #7f7d7d, 
    -6px 12px 1px #828181, 
    -7px 14px 1px #868585, 
    -8px 16px 1px #8b8a89, 
    -9px 18px 1px #8f8e8d, 
    -10px 20px 1px #949392, 
    -11px 22px 1px #999897, 
    -12px 24px 1px #9e9c9c, 
    -13px 26px 1px #a3a1a1, 
    -14px 28px 1px #a8a6a6, 
    -15px 30px 1px #adabab, 
    -16px 32px 1px #b2b1b0
}

@media (max-width: 787px) {
  .h2 {
    font-size: 1.5em; /* Resize the paragraph text */
    line-height: 1;
  }

  .h2::first-letter {
    font-size: 1.8em; /* Resize the first letter */
    line-height: 0.8; /* Adjust the line height for the first letter */
  }
}

@media (max-width: 330px) {
  .h2 {
    font-size: 1.5em; /* Resize the paragraph text further */
    line-height: 0.7;
  }

  .h2::first-letter {
    font-size: 1.5em; /* Resize the first letter further */
    line-height: 0.5; /* Adjust the line height for the first letter */
  }
}

/************************************************************************************FAQ Button*******************************************************************************************************/

/* Default FAQ Button */

.faq-button {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  border: none;
  font-family: "Poppins";
  font-size: 14px;
  background-color: #000000;
  background-image: linear-gradient(147deg, #0f0f0f 0%, #000000 74%);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
  position: relative;
}
.faq-button svg {
  height: 1.5em;
  fill: white;
}
.faq-button:hover svg {
  animation: jello-vertical 0.7s both;
}
@keyframes jello-vertical {
  0% {
    transform: scale3d(1, 1, 1);
  }
  30% {
    transform: scale3d(0.75, 1.25, 1);
  }
  40% {
    transform: scale3d(1.25, 0.75, 1);
  }
  50% {
    transform: scale3d(0.85, 1.15, 1);
  }
  65% {
    transform: scale3d(1.05, 0.95, 1);
  }
  75% {
    transform: scale3d(0.95, 1.05, 1);
  }
  100% {
    transform: scale3d(1, 1, 1);
  }
}

.tooltip {
  position: absolute;
  top: -50px;
  opacity: 0;
  background-color: #000000;
  background-image: linear-gradient(147deg, #0f0f0f 0%, #000000 74%);
  color: white;
  padding: 5px 10px;
  border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition-duration: 0.2s;
  pointer-events: none;
  letter-spacing: 0.3px;
}

.tooltip::before {
  position: absolute;
  content: "";
  width: 10px;
  height: 10px;
  background-color: #000000;
  background-size: 100%;
  background-position: center;
  transform: rotate(45deg);
  bottom: -15%;
  transition-duration: 0.3s;
}

.faq-button:hover .tooltip {
  top: -50px;
  opacity: 1;
  transition-duration: 0.3s;
}

/* Responsive Design */
@media (max-width: 1024px) {
   .tooltip {
  font-size: 12px;
  }
}

@media (max-width: 767px) {
  .tooltip {
  font-size: 12px;
  }
}

/************************************************************************************Shiny-cta Button************************************************************************************************/

/* Default Shiny-cta Button */
:root {
  --shiny-cta-bg: #000000;
  --shiny-cta-bg-subtle: #66FCF1;
  --shiny-cta-fg: #ffffff;
  --shiny-cta-highlight: #66FCF1;
  --shiny-cta-highlight-subtle: #66FCF1;
}

@property --gradient-angle {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}

@property --gradient-angle-offset {
  syntax: "<angle>";
  initial-value: 0deg;
  inherits: false;
}

@property --gradient-percent {
  syntax: "<percentage>";
  initial-value: 5%;
  inherits: false;
}

@property --gradient-shine {
  syntax: "<color>";
  initial-value: white;
  inherits: false;
}

.shiny-cta {
  --animation: gradient-angle linear infinite;
  --duration: 3s;
  --shadow-size: 2px;
  isolation: isolate;
  position: relative;
  overflow: hidden;
  cursor: pointer;
  outline-offset: 4px;
  padding: 1.25rem 2.5rem;
  font-family: inherit;
  font-size: 1.125rem;
  line-height: 1.2;
  border: 1px solid transparent;
  border-radius: 360px;
  color: var(--shiny-cta-fg);
  background: linear-gradient(var(--shiny-cta-bg), var(--shiny-cta-bg))
      padding-box,
    conic-gradient(
        from calc(var(--gradient-angle) - var(--gradient-angle-offset)),
        transparent,
        var(--shiny-cta-highlight) var(--gradient-percent),
        var(--gradient-shine) calc(var(--gradient-percent) * 2),
        var(--shiny-cta-highlight) calc(var(--gradient-percent) * 3),
        transparent calc(var(--gradient-percent) * 4)
      )
      border-box;
  box-shadow: inset 0 0 0 1px var(--shiny-cta-bg-subtle);

  &::before,
  &::after,
  span::before {
    content: "";
    pointer-events: none;
    position: absolute;
    inset-inline-start: 50%;
    inset-block-start: 50%;
    translate: -50% -50%;
    z-index: -1;
  }

  &:active {
    translate: 0 1px;
  }
}

/* Dots pattern */
.shiny-cta::before {
  --size: calc(100% - var(--shadow-size) * 3);
  --position: 2px;
  --space: calc(var(--position) * 2);
  width: var(--size);
  height: var(--size);
  background: radial-gradient(
      circle at var(--position) var(--position),
      white calc(var(--position) / 4),
      transparent 0
    )
    padding-box;
  background-size: var(--space) var(--space);
  background-repeat: space;
  mask-image: conic-gradient(
    from calc(var(--gradient-angle) + 45deg),
    black,
    transparent 20% 90%,
    black
  );
  border-radius: inherit;
  opacity: 0.5;
  z-index: -1;
}

/* Inner shimmer */
.shiny-cta::after {
  --animation: shimmer linear infinite;
  width: 100%;
  aspect-ratio: 1;
  background: linear-gradient(
    -50deg,
    transparent,
    var(--shiny-cta-highlight),
    transparent
  );
  mask-image: radial-gradient(circle at bottom, transparent 30%, black);
  opacity: 0.6;
}

.shiny-cta span {
  z-index: 1;

  &::before {
    --size: calc(100% + 1rem);
    width: var(--size);
    height: var(--size);
    box-shadow: inset 0 -1ex 2rem 4px var(--shiny-cta-highlight);
    opacity: 0;
  }
}

/* Animate */
.shiny-cta {
  --transition: 800ms cubic-bezier(0.25, 1, 0.5, 1);
  transition: var(--transition);
  transition-property: --gradient-angle-offset, --gradient-percent,
    --gradient-shine;

  &,
  &::before,
  &::after {
    animation: var(--animation) var(--duration),
      var(--animation) calc(var(--duration) / 0.4) reverse paused;
    animation-composition: add;
  }

  span::before {
    transition: opacity var(--transition);
    animation: calc(var(--duration) * 1.5) breathe linear infinite;
  }
}

.shiny-cta:is(:hover, :focus-visible) {
  --gradient-percent: 20%;
  --gradient-angle-offset: 95deg;
  --gradient-shine: var(--shiny-cta-highlight-subtle);

  &,
  &::before,
  &::after {
    animation-play-state: running;
  }

  span::before {
    opacity: 1;
  }
}

@keyframes gradient-angle {
  to {
    --gradient-angle: 360deg;
  }
}

@keyframes shimmer {
  to {
    rotate: 360deg;
  }
}

@keyframes breathe {
  from,
  to {
    scale: 1;
  }
  50% {
    scale: 1.2;
  }
}

@media (max-width: 1140px) {
  .shiny-cta {
  background: linear-gradient(var(--shiny-cta-bg), var(--shiny-cta-bg))
  }
}

@media (max-width: 787px) {
  .shiny-cta{
 background: linear-gradient(var(--shiny-cta-bg), var(--shiny-cta-bg))
  }
}

/************************************************************************************YouTube****************************************************************************************************/

/* General styles for youtube videos */
.youtube-facade {
    position: relative;
    display: inline-block;
    cursor: pointer;  /* Ensures the cursor changes to pointer when hovering */
    width: 100%; /* Set this to your desired width */
    max-width: 560px; /* Adjust as needed */
    aspect-ratio: auto; /* Maintain video aspect ratio */
    background-color: #000000;
    overflow: hidden;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.youtube-facade:hover {
    transform: scale(1.02); /* Slight zoom effect on hover */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Add a shadow on hover */
}

.youtube-thumbnail {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.play-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 60px;
    height: 60px;
    background: rgba(102, 252, 241, 0.8);
    border-radius: 20%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background-color 0.2s ease, transform 0.2s ease;
    cursor: pointer;  /* Ensures the cursor changes to pointer when hovering */
}

.youtube-facade:hover .play-button {
    background: rgba(102, 252, 241, 1); /* Intensify the background color on hover */
    transform: translate(-50%, -50%) scale(1.1); /* Slightly enlarge the play button */
}

.play-button::before {
    content: '';
    width: 0;
    height: 0;
    border-left: 20px solid #000; /* Change to your desired color */
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
    display: block;
}


/************************************************************************************Images Header****************************************************************************************************/

/* General styles for the header image*/
header {
    width: 100%;
    height: 100vh; /* Full viewport height */
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/************************************************************************************Butterfly****************************************************************************************************/

/* General styles for the butterfly*/

.loader36 {
  --sizeLoader: 60px;
  --sizeLoaderHalf: calc(var(--sizeLoader) / 2);
  --stepBtf: calc(var(--sizeLoader) / 10);
  display: flex;
  position: relative;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: var(--sizeLoader);
  height: var(--sizeLoader);
}

.loader36:hover {
  cursor: progress;
}

.loader36[anim1] {
  animation: anim136 0.3s alternate ease-in-out infinite;
}

.loader36:not([anim1]) {
  right: var(--sizeLoaderHalf);
  transform-origin: center right;
  animation: moveAround36 2s linear infinite;
}

.loader36[showShadow] {
  filter: drop-shadow(0 10px 10px #060606de);
}

.loader36 svg:nth-child(1) {
  position: relative;
  height: 100%;
  left: 2%;
  transform-origin: center right;
  animation: wing36 0.5s ease-in-out infinite;
}

.loader36 svg:nth-child(2) {
  height: 50%;
}

.loader36 svg:nth-child(3) {
  position: relative;
  height: 100%;
  left: -2%;
  transform-origin: center left;
  animation: wing36 0.5s ease-in-out infinite;
}

@keyframes wing36 {
  0% {
    transform: rotateY(0deg);
  }

  50% {
    transform: rotateY(60deg);
  }

  100% {
    transform: rotateY(0deg);
  }
}

@keyframes moveAround36 {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes anim136 {
  from {
    transform: translateY(0px);
  }

  to {
    transform: translateY(var(--stepBtf));
  }
}

/* @media (prefers-color-scheme: dark) {
  .loader[showShadow]{
    filter: drop-shadow(0 10px 10px #dbdbdbde);
  }
} */




